#!/system/bin/sh

AUDIO_ADC_REF=/vendor/device/jack_adc_ref.conf

if [ $# -ne 1 ]; then
  echo "Usage: $0 <hardware run (2,3,...)>"
  echo " ---> Please take care that no headset is connected <---"
  exit 2
fi

HWRUN=$1

if [ ! -d /vendor/device ]; then
  mkdir /vendor/device
  chmod 755 /vendor/device
fi

echo $HWRUN > /vendor/device/hwrun.conf

ADCREF=`cat /sys/devices/platform/imx-wm8750.0/switches/jack_adc | busybox sed -e 's/jack_adc=//' | busybox sed -e 's/ mV//'`

echo "ADC reference value is " $ADCREF
echo $ADCREF > $AUDIO_ADC_REF


/system/bin/sh /system/bin/audio_init.sh
